Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041203
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-06-28 14:002019-07-12 15:01
ReporterxabiermerinoView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR19Q4
StatusclosedFix in branchFixed in SCM revision8e5a9920aa7b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041203: Errors while importing when synchronize a ticket with a discount of 100% and Generate Invoices active

DescriptionWhen you have the check 'Generate Invoice' activate and try to synchronize a ticket with a discount of the 100% an error while importing happens:

java.lang.IndexOutOfBoundsException: Index 0 out-of-bounds for length 0
    at java.base/jdk.internal.util.Preconditions.outOfBounds(Preconditions.java:64)
    at java.base/jdk.internal.util.Preconditions.outOfBoundsCheckIndex(Preconditions.java:70)
    at java.base/jdk.internal.util.Preconditions.checkIndex(Preconditions.java:248)
    at java.base/java.util.Objects.checkIndex(Objects.java:372)
    at java.base/java.util.ArrayList.get(ArrayList.java:440)
    at org.hibernate.collection.internal.PersistentBag.get(PersistentBag.java:452)
    at org.openbravo.retail.posterminal.utility.InvoiceUtils.createPaymentTerms(InvoiceUtils.java:751)
Steps To Reproduce- Configure a POS Terminal type for generate invoices
- Create a ticket of avalanche and add a cash payment
- Apply a discount of 100%
- Complete the ticket with the payment added
- realize that there is a new errors while importing
TagsNo tags attached.
Attached Filespatch file icon issue 41203 source posterminal.patch [^] (1,145 bytes) 2019-07-01 14:42 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0041204RR19Q2.1 closedranjith_qualiantech_com Errors while importing when synchronize a ticket with a discount of 100% and Generate Invoices active 
depends on backport 0041205RR19Q1.3 resolvedranjith_qualiantech_com Errors while importing when synchronize a ticket with a discount of 100% and Generate Invoices active 

-  Notes
(0113156)
hgbot (developer)
2019-07-03 15:39

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 22d52041fdbbc10dde3ec61c24da3d4399c876af
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Jul 03 19:08:33 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/22d52041fdbbc10dde3ec61c24da3d4399c876af [^]

Fixed issue 41203 : Invoice Payment schedule should be validated before creating payment terms

* If invoice amount is zero, then invoice payment schedule will not be created.
  When creating invoice payment terms, Invoice Payment schedule should be validated

---
M src/org/openbravo/retail/posterminal/utility/InvoiceUtils.java
---
(0113163)
marvintm (developer)
2019-07-03 19:22

A better fix would be to just ignore payments of origAmount 0 in the handlePayments method in OrderLoader. In this way we would save quite a bit of processing which is pointless in this case.
(0113267)
hgbot (developer)
2019-07-11 11:03

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8e5a9920aa7b2e1022cef58d1313a732da66b143
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Jul 11 14:32:47 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8e5a9920aa7b2e1022cef58d1313a732da66b143 [^]

Fixed issue 41203 : Payments should not be processed if payment origAmount is zero

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---

- Issue History
Date Modified Username Field Change
2019-06-28 14:00 xabiermerino New Issue
2019-06-28 14:00 xabiermerino Assigned To => Retail
2019-06-28 14:00 xabiermerino Triggers an Emergency Pack => No
2019-06-28 14:14 Asantos9 Issue Monitored: Asantos9
2019-06-28 14:21 marvintm Status new => scheduled
2019-06-28 14:21 marvintm Assigned To Retail => ranjith_qualiantech_com
2019-06-28 14:33 ngarcia Issue Monitored: ngarcia
2019-07-01 12:45 Asantos9 Steps to Reproduce Updated View Revisions
2019-07-01 12:47 Asantos9 Steps to Reproduce Updated View Revisions
2019-07-01 14:42 ranjith_qualiantech_com File Added: issue 41203 source posterminal.patch
2019-07-03 15:39 hgbot Checkin
2019-07-03 15:39 hgbot Note Added: 0113156
2019-07-03 15:39 hgbot Status scheduled => resolved
2019-07-03 15:39 hgbot Resolution open => fixed
2019-07-03 15:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/22d52041fdbbc10dde3ec61c24da3d4399c876af [^]
2019-07-03 19:22 marvintm Note Added: 0113163
2019-07-03 19:22 marvintm Status resolved => new
2019-07-03 19:22 marvintm Resolution fixed => open
2019-07-04 08:23 ranjith_qualiantech_com Status new => scheduled
2019-07-11 11:03 hgbot Checkin
2019-07-11 11:03 hgbot Note Added: 0113267
2019-07-11 11:03 hgbot Status scheduled => resolved
2019-07-11 11:03 hgbot Resolution open => fixed
2019-07-11 11:03 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/22d52041fdbbc10dde3ec61c24da3d4399c876af [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8e5a9920aa7b2e1022cef58d1313a732da66b143 [^]
2019-07-11 15:31 hgbot Checkin
2019-07-11 15:31 hgbot Note Added: 0113275
2019-07-11 15:31 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8e5a9920aa7b2e1022cef58d1313a732da66b143 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-discounts/rev/22d52041fdbbc10dde3ec61c24da3d4399c876af [^]
2019-07-11 15:32 hgbot Checkin
2019-07-11 15:32 hgbot Note Added: 0113291
2019-07-11 15:32 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-discounts/rev/22d52041fdbbc10dde3ec61c24da3d4399c876af [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-discounts/rev/8e5a9920aa7b2e1022cef58d1313a732da66b143 [^]
2019-07-12 14:51 guilleaer Note Deleted: 0113275
2019-07-12 14:51 guilleaer Note Deleted: 0113291
2019-07-12 15:01 guilleaer Review Assigned To => guilleaer
2019-07-12 15:01 guilleaer Status resolved => closed
2019-07-12 15:01 guilleaer Fixed in Version => RR19Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker